The following is a list of minimum recommended system requirements to successfully install and run AmigoPOS 9:

Operating System

.Net Framework 4.8

Hardware (Minimum Requirements - also refer to the the certified hardware page)

Network